
Core - Bug # 61017

Status: Under Review Priority: Must have
Author: Andreas Rothenhäuser Category: DataHandler aka TCEmain
Created: 2014-08-18 Assigned To: Alexander Opitz
Updated: 2015-07-07 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity: medium
Is Regression: Yes
Sprint Focus: Stabilization Sprint
Subject: TCEMAIN.clearCacheCmd does not trigger
Description

the deletion of a (tt_news-) record does not trigger TCEMAIN.clearCacheCmd, although deletion is quite an important change to any
record in my oppinion.

problem occurrs with:
typo3 6.2.0

Related issues:
related to Core - Bug # 52235: Timeout when copying pages recursively due to ... Resolved 2013-09-24

History
#1 - 2014-08-18 10:22 - Markus Klein
- Status changed from New to Needs Feedback

Please update to 6.2.4 and try again. There have been hundreds of bugfixes between 6.2.0 and 6.2.4.

#2 - 2014-08-25 14:20 - Andreas Rothenhäuser

Tried it again with 6.2.4 with same output.

#3 - 2014-08-25 15:42 - Markus Klein
- Status changed from Needs Feedback to New
- Target version set to next-patchlevel

Thanks for testing.

#4 - 2014-08-28 02:33 - Markus Klein
- Category changed from TypoScript to DataHandler aka TCEmain
- Status changed from New to Accepted
- Priority changed from Should have to Must have

#5 - 2014-08-28 03:00 - Markus Klein
- Complexity set to medium
- Is Regression changed from No to Yes
The problem here is, that the DataHandler fails to fetch the TSconfig of the page, where the record originally resided.
DataHandler::processClearCacheQueue() calls BackendUtility::getTSCpid($table, $uid, '') which does not return a PID.
It internally relies on BackendUtility::getTSconfig_pidValue(), which tries to load (the just deleted) record and fails to do so.

This is a regression to #52235

#6 - 2015-05-15 16:09 - Riccardo De Contardi
- Status changed from Accepted to Needs Feedback
- Assigned To set to Andreas Rothenhäuser

#7 - 2015-05-15 16:12 - Riccardo De Contardi

Sorry I missed the description:

I set up a minimal "enviroment" with tt_news and TYPO3 6.2.12
My pagetree
[0]Home page

[9]List news

[14]Detail

[13]News folder

I put some news record in "[13]News folder" and they become visible in FE when I set on the TSConfig field of "[13]News folder":

TCEMAIN.clearCacheCmd=9,14

Do you think I should do something else to reproduce the issue? Do you still experience it? Or it could be closed?
Thank you for your feedback

#8 - 2015-05-15 16:34 - Markus Klein
- Status changed from Needs Feedback to Accepted
- Target version changed from next-patchlevel to 6.2.13
- Sprint Focus set to Stabilization Sprint

Riccardo, this is about deleting a record.

#9 - 2015-05-15 16:45 - Riccardo De Contardi

Sorry, I read in a rush :)

#10 - 2015-05-27 18:25 - Alexander Opitz

While reading the source, moving a record have also an issue, only destination gets cleared.
#11 - 2015-05-27 23:46 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39766

#12 - 2015-06-05 15:50 - Alexander Opitz
- Status changed from Under Review to In Progress
- Assigned To changed from Andreas Rothenhäuser to Alexander Opitz

#13 - 2015-06-08 10:57 - Gerrit Code Review
- Status changed from In Progress to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39766

#14 - 2015-06-09 09:05 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39766

#15 - 2015-06-09 10:11 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39766

#16 - 2015-06-10 08:24 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39766

#17 - 2015-06-10 12:25 - Alexander Opitz
- Target version changed from 6.2.13 to 6.2.14

#18 - 2015-07-07 09:38 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39766

#19 - 2015-07-07 09:39 - Alexander Opitz
- Target version changed from 6.2.14 to 6.2.15
